=== debian/changelog ===
ros-noetic-gpio-controller (0.1.7-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- muyuexin <muyuexin@todo.todo>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-gpio-controller (0.1.6-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- muyuexin <muyuexin@todo.todo>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-gpio-controller (0.1.5-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Merge pull request #70 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/70> from XYM-github/gpio_controller_2
    Update gpio_controller to version2.0.
  * Optimize code structure.
  * Modify gpio_controller configuration file format.
  * Adaptation of gpio type moved from rm_hw to rm_common.
  * Adaptation of gpio type to enum in gpio_interface.
  * Update gpio_controller to version2.0.
  * Contributors: QiayuanLiao, XYM-github, yezi

 -- muyuexin <muyuexin@todo.todo>  Fri, 10 Jun 2022 00:00:00 -0000
